// _ListeAgents_Interface.java
// Created on 29 sept. 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.outils_interface.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _ListeAgents_Interface extends COFrame {

    /** Creates new form _ListeAgents_Interface */
    public _ListeAgents_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        vueAgentsPourNotes = new org.cocktail.component.COView();
        matricePourNotes = new org.cocktail.component.COMatrix();
        cORadioButton1 = new org.cocktail.component.CORadioButton();
        cORadioButton2 = new org.cocktail.component.CORadioButton();
        cORadioButton3 = new org.cocktail.component.CORadioButton();
        jLabel6 = new javax.swing.JLabel();
        displayGroup = new org.cocktail.component.CODisplayGroup();
        vueAgentsGenerale = new org.cocktail.component.COView();
        jLabel3 = new javax.swing.JLabel();
        popupStructures = new org.cocktail.component.COComboBox();
        jLabel4 = new javax.swing.JLabel();
        popupTypeAgent = new org.cocktail.component.COComboBox();
        jLabel5 = new javax.swing.JLabel();
        popupCategorie = new org.cocktail.component.COComboBox();
        vueAgents = new org.cocktail.component.COView();
        listeAffichage = new org.cocktail.component.COTable();
        vueRecherche = new org.cocktail.component.COView();
        cOTextField1 = new org.cocktail.component.COTextField();
        cOTextField2 = new org.cocktail.component.COTextField();
        cOButton7 = new org.cocktail.component.COButton();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        cOCheckbox1 = new org.cocktail.component.COCheckbox();
        cOLabel2 = new org.cocktail.component.COLabel();
        labelNbAgents = new org.cocktail.component.COLabel();
        labelAgents = new javax.swing.JLabel();

        matricePourNotes.setMinimumSize(new java.awt.Dimension(218, 21));
        matricePourNotes.setPreferredSize(new java.awt.Dimension(218, 21));

        cORadioButton1.setActionName("matricePourNotesHasChanged");
        cORadioButton1.setFont(new java.awt.Font("Helvetica", 0, 10));
        cORadioButton1.setText("ITARF");

        cORadioButton2.setActionName("matricePourNotesHasChanged");
        cORadioButton2.setFont(new java.awt.Font("Helvetica", 0, 10));
        cORadioButton2.setText("ASU");

        cORadioButton3.setActionName("matricePourNotesHasChanged");
        cORadioButton3.setFont(new java.awt.Font("Helvetica", 0, 10));
        cORadioButton3.setText("CONTRAT");

        org.jdesktop.layout.GroupLayout matricePourNotesLayout = new org.jdesktop.layout.GroupLayout(matricePourNotes);
        matricePourNotes.setLayout(matricePourNotesLayout);
        matricePourNotesLayout.setHorizontalGroup(
            matricePourNotesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(matricePourNotesLayout.createSequentialGroup()
                .add(cORadioButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cORadioButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cORadioButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(37, Short.MAX_VALUE))
        );
        matricePourNotesLayout.setVerticalGroup(
            matricePourNotesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(matricePourNotesLayout.createSequentialGroup()
                .add(matricePourNotesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cORadioButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cORadioButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cORadioButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jLabel6.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel6.setText("Employés");

        org.jdesktop.layout.GroupLayout vueAgentsPourNotesLayout = new org.jdesktop.layout.GroupLayout(vueAgentsPourNotes);
        vueAgentsPourNotes.setLayout(vueAgentsPourNotesLayout);
        vueAgentsPourNotesLayout.setHorizontalGroup(
            vueAgentsPourNotesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueAgentsPourNotesLayout.createSequentialGroup()
                .addContainerGap()
                .add(vueAgentsPourNotesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel6)
                    .add(matricePourNotes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(115, 115, 115))
        );
        vueAgentsPourNotesLayout.setVerticalGroup(
            vueAgentsPourNotesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueAgentsPourNotesLayout.createSequentialGroup()
                .add(4, 4, 4)
                .add(jLabel6)
                .add(4, 4, 4)
                .add(matricePourNotes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        displayGroup.setEntityName("IndividuIdentite");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        jLabel3.setFont(new java.awt.Font("Helvetica", 1, 11));
        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Structures");

        popupStructures.setActionName("choisirStructure");
        popupStructures.setFont(new java.awt.Font("Helvetica", 0, 11));
        popupStructures.setTitles("Toutes");

        jLabel4.setFont(new java.awt.Font("Helvetica", 1, 11));
        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Agents");

        popupTypeAgent.setActionName("choisirTypeAgent");
        popupTypeAgent.setFont(new java.awt.Font("Helvetica", 0, 11));
        popupTypeAgent.setTitles("Actuels,Anciens,Futurs,Non Affectés,Tous");

        jLabel5.setFont(new java.awt.Font("Helvetica", 1, 11));
        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Type");

        popupCategorie.setActionName("choisirCategoriePersonnel");
        popupCategorie.setFont(new java.awt.Font("Helvetica", 0, 11));
        popupCategorie.setTitles("Enseignants,Non enseignants,Vacataires,Hébergés,Tous");

        org.jdesktop.layout.GroupLayout vueAgentsGeneraleLayout = new org.jdesktop.layout.GroupLayout(vueAgentsGenerale);
        vueAgentsGenerale.setLayout(vueAgentsGeneraleLayout);
        vueAgentsGeneraleLayout.setHorizontalGroup(
            vueAgentsGeneraleLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueAgentsGeneraleLayout.createSequentialGroup()
                .add(10, 10, 10)
                .add(vueAgentsGeneraleLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(jLabel5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jLabel4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 69, Short.MAX_VALUE)
                    .add(jLabel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 69, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(vueAgentsGeneraleLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(popupCategorie, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(popupTypeAgent, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 122, Short.MAX_VALUE)
                    .add(popupStructures, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 258, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        vueAgentsGeneraleLayout.setVerticalGroup(
            vueAgentsGeneraleLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueAgentsGeneraleLayout.createSequentialGroup()
                .add(4, 4, 4)
                .add(vueAgentsGeneraleLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel3)
                    .add(popupStructures, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(4, 4, 4)
                .add(vueAgentsGeneraleLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(popupTypeAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel4))
                .add(4, 4, 4)
                .add(vueAgentsGeneraleLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel5)
                    .add(popupCategorie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(13, 13, 13))
        );

        setControllerClassName("org.cocktail.mangue.client.outils_interface.ListeAgents");
        setSize(new java.awt.Dimension(288, 690));

        org.jdesktop.layout.GroupLayout vueAgentsLayout = new org.jdesktop.layout.GroupLayout(vueAgents);
        vueAgents.setLayout(vueAgentsLayout);
        vueAgentsLayout.setHorizontalGroup(
            vueAgentsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 391, Short.MAX_VALUE)
        );
        vueAgentsLayout.setVerticalGroup(
            vueAgentsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 80, Short.MAX_VALUE)
        );

        listeAffichage.setColumns(new Object[][] {{null,"nomUsuel",new Integer(2),"Nom",new Integer(0),new Integer(145),new Integer(1000),new Integer(10)},{null,"prenom",new Integer(2),"Prénom",new Integer(0),new Integer(106),new Integer(1000),new Integer(42)}});
        listeAffichage.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        listeAffichage.setDisplayGroupForTable(displayGroup);

        cOTextField1.setActionName("rechercher");
        cOTextField1.setEnabledMethod("peutSaisir");
        cOTextField1.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField1.setShouldRefreshImmediately(true);
        cOTextField1.setValueName("nomPourRecherche");
        cOTextField1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cOTextField1ActionPerformed(evt);
            }
        });

        cOTextField2.setActionName("rechercher");
        cOTextField2.setEnabledMethod("peutSaisir");
        cOTextField2.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField2.setShouldRefreshImmediately(true);
        cOTextField2.setValueName("prenomPourRecherche");

        cOButton7.setActionName("rechercher");
        cOButton7.setBorderPainted(false);
        cOButton7.setEnabledMethod("peutRechercher");
        cOButton7.setIconName("loupe16.gif");

        jLabel1.setFont(new java.awt.Font("Helvetica", 2, 11));
        jLabel1.setText("Nom ?");

        jLabel2.setFont(new java.awt.Font("Helvetica", 2, 11));
        jLabel2.setText("Prénom ?");

        cOCheckbox1.setEnabledMethod("peutRechercher");
        cOCheckbox1.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox1.setText("Nom de Famille");
        cOCheckbox1.setValueName("estNomPatronymique");
        cOCheckbox1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cOCheckbox1ActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout vueRechercheLayout = new org.jdesktop.layout.GroupLayout(vueRecherche);
        vueRecherche.setLayout(vueRechercheLayout);
        vueRechercheLayout.setHorizontalGroup(
            vueRechercheLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueRechercheLayout.createSequentialGroup()
                .add(15, 15, 15)
                .add(vueRechercheLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 259, Short.MAX_VALUE)
                    .add(vueRechercheLayout.createSequentialGroup()
                        .add(vueRechercheLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, cOTextField1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 125, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel1))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(vueRechercheLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel2)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, vueRechercheLayout.createSequentialGroup()
                                .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, Short.MAX_VALUE)))))
                .addContainerGap())
        );
        vueRechercheLayout.setVerticalGroup(
            vueRechercheLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueRechercheLayout.createSequentialGroup()
                .add(0, 0, 0)
                .add(vueRechercheLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(jLabel2))
                .add(0, 0, 0)
                .add(vueRechercheLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        cOLabel2.setDisplayGroupForValue(displayGroup);

        labelNbAgents.setFont(new java.awt.Font("Helvetica", 0, 11));
        labelNbAgents.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        labelNbAgents.setSelectable(false);
        labelNbAgents.setValueName("nbAgents");

        labelAgents.setFont(new java.awt.Font("Helvetica", 0, 11));
        labelAgents.setText("Agents");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(vueAgents, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(16, 16, 16))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 39, Short.MAX_VALUE)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(vueRecherche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createSequentialGroup()
                                .add(labelNbAgents, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(labelAgents))
                            .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 271, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(64, 64, 64)
                        .add(cOLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap())))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(vueAgents, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(vueRecherche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(labelAgents)
                    .add(labelNbAgents, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(listeAffichage, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 641, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void cOTextField1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cOTextField1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cOTextField1ActionPerformed

    private void cOCheckbox1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cOCheckbox1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cOCheckbox1ActionPerformed
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton7;
    public org.cocktail.component.COCheckbox cOCheckbox1;
    public org.cocktail.component.COLabel cOLabel2;
    public org.cocktail.component.CORadioButton cORadioButton1;
    public org.cocktail.component.CORadioButton cORadioButton2;
    public org.cocktail.component.CORadioButton cORadioButton3;
    public org.cocktail.component.COTextField cOTextField1;
    public org.cocktail.component.COTextField cOTextField2;
    public org.cocktail.component.CODisplayGroup displayGroup;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    public javax.swing.JLabel jLabel3;
    public javax.swing.JLabel jLabel4;
    public javax.swing.JLabel jLabel5;
    public javax.swing.JLabel jLabel6;
    public javax.swing.JLabel labelAgents;
    public org.cocktail.component.COLabel labelNbAgents;
    public org.cocktail.component.COTable listeAffichage;
    public org.cocktail.component.COMatrix matricePourNotes;
    public org.cocktail.component.COComboBox popupCategorie;
    public org.cocktail.component.COComboBox popupStructures;
    public org.cocktail.component.COComboBox popupTypeAgent;
    public org.cocktail.component.COView vueAgents;
    public org.cocktail.component.COView vueAgentsGenerale;
    public org.cocktail.component.COView vueAgentsPourNotes;
    public org.cocktail.component.COView vueRecherche;
    // End of variables declaration//GEN-END:variables
                  

}
